Create a passkey event for a user
curl --request POST \
--url https://backendapi.corbado.io/v2/users/{userID}/passkeyEvents \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"expires": 123,
"processID": "<string>",
"clientEnvID": "<string>",
"credentialID": "<string>",
"challenge": "<string>"
}
'import requests
url = "https://backendapi.corbado.io/v2/users/{userID}/passkeyEvents"
payload = {
"expires": 123,
"processID": "<string>",
"clientEnvID": "<string>",
"credentialID": "<string>",
"challenge": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
expires: 123,
processID: '<string>',
clientEnvID: '<string>',
credentialID: '<string>',
challenge: '<string>'
})
};
fetch('https://backendapi.corbado.io/v2/users/{userID}/passkeyEvents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"passkeyEventID": "<string>",
"userID": "<string>",
"eventType": "user-login-blacklisted",
"created": "<string>",
"createdMs": 123,
"clientEnvID": "<string>",
"processID": "<string>",
"credentialID": "<string>",
"expires": 123
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}PasskeyEvents
Create a passkey event for a user
Creates a new passkey event for a user by given userID.
POST
/
users
/
{userID}
/
passkeyEvents
Create a passkey event for a user
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
Example:
"usr-4693224802260150919"
Body
application/json
Available options:
user-login-blacklisted, login-explicit-abort, login-error, login-error-untyped, login-one-tap-switch, user-append-after-cross-platform-blacklisted, user-append-after-login-error-blacklisted, append-credential-exists, append-explicit-abort, append-error, login-no-credentials, manage-error, manage-credential-exists Response
Passkey event has been created.
ID of the user
Available options:
user-login-blacklisted, login-explicit-abort, login-error, login-error-untyped, login-one-tap-switch, user-append-after-cross-platform-blacklisted, user-append-after-login-error-blacklisted, append-credential-exists, append-explicit-abort, append-error, login-no-credentials, manage-error, manage-credential-exists Timestamp of when the entity was created in yyyy-MM-dd'T'HH:mm:ss format
Was this page helpful?